Subject: Re: [PATCH] net: alteon: Add missing DMA mapping error checks in ace_start_xmit

From: Jakub Kicinski <[email-masked]>
Date: Tue, 31 Mar 2026 18:41:44 -0700

On Tue, 31 Mar 2026 16:43:22 -0700 Joe Damato wrote:
> On Tue, Mar 31, 2026 at 09:48:41AM +0800, Wang Jun wrote:
> > The ace_start_xmit function does not check the return value of
> > dma_map_page (via ace_map_tx_skb) and skb_frag_dma_map when building
> > transmit descriptors. If mapping fails, an invalid DMA address is
> > written to the descriptor, which may cause hardware to access
> > illegal memory, leading to system instability or crashes.
> > 
> > Add proper dma_mapping_error() checks for all mapping calls. When
> > mapping fails, free the skb, increment the dropped packet counter,
> > and return NETDEV_TX_OK.
> > 
> > Fixes: 1da177e4c3f4 ("Linux-2.6.12-rc2")  
> 
> Is this fixing a bug you've seen in the wild? If not, I'd probably drop the
> fixes tag and send this to net-next instead.

Either it's worth fixing in net or its not worth fixing at all.

My preference would be to try to delete this driver completely.